Fetch history details for the given history ID

GET /api/sync/v1/todos/history/{historyId}

Operation id: historyDetails

Description

This API will provide history details for the given history ID.
To get history_id you can use following APIs

  1. /api/sync/v1/todos/history
  2. /api/sync/v1/todos/assigned/history

Both APIs will return list of history records which will have summary and history_Id. Then you can use this history_id in this API to fetch all details of that record.

The following parameters are mandatory:
1)historyId

Tags: To-Do APIs

Parameters

Path parameters

NameTypeRequiredDescription
historyIdinteger (int32)Yes

Query parameters

NameTypeRequiredDescription
questionDisplayTypeFilterarrayNoComma-separated display types to filter by (e.g. CHECKBOX,RADIO,DROPDOWN). Default: CHECKBOX

Security

  • Bearer (http / bearer)
    • enter the client service token value.

Responses

200 — History Details Fetch Successfully

Content type: application/json

400 — Bad Request

401 — Unauthorized Access

403 — Forbidden

422 — Unprocessable Entity

500 — Internal Server Error

Response models

200 — History Details Fetch Successfully

Content type: application/json

Schema

PropertyTypeRequiredDescription
reasonIdinteger (int32)No
reasonstringNo
commentsstringNo
createdAtstring (date-time)No
completedRecallOrResetbooleanNo
historyIdinteger (int32)No
historyTypeIdinteger (int32)No
creatorDetailsobjectNo
taskDetailHistoryobjectNo
assigneeDistributionListobjectNo
{
  "type": "object",
  "properties": {
    "reasonId": {
      "type": "integer",
      "format": "int32"
    },
    "reason": {
      "type": "string"
    },
    "comments": {
      "type": "string"
    },
    "createdAt": {
      "type": "string",
      "format": "date-time"
    },
    "completedRecallOrReset": {
      "type": "boolean"
    },
    "historyId": {
      "type": "integer",
      "format": "int32"
    },
    "historyTypeId": {
      "type": "integer",
      "format": "int32"
    },
    "creatorDetails": {
      "type": "object",
      "properties": {
        "userId": {
          "type": "integer",
          "format": "int32"
        },
        "firstName": {
          "type": "string"
        },
        "lastName": {
          "type": "string"
        },
        "employeeId": {
          "type": "string"
        },
        "profilePhoto": {
          "type": "string"
        },
        "presence": {
          "type": "object",
          "properties": {
            "state": {
              "type": "integer",
              "format": "int32",
              "description": "state for user"
            },
            "status": {
              "type": "string",
              "description": "status for user"
            },
            "updatedAt": {
              "type": "string",
              "format": "date-time",
              "description": "date and time when user information is updated"
            }
          }
        },
        "roleId": {
          "type": "integer",
          "format": "int32"
        },
        "siteId": {
          "type": "integer",
          "format": "int32"
        },
        "roleName": {
          "type": "string"
        },
        "alias": {
          "type": "string"
        },
        "name": {
          "type": "string"
        },
        "siteName": {
          "type": "string"
        },
        "roles": {
          "type": "array",
          "items": {
            "type": "object",
            "properties": {
              "id": {
                "type": "integer",
                "format": "int32"
              },
              "name": {
                "type": "string"
              }
            }
          }
        }
      }
    },
    "taskDetailHistory": {
      "type": "object",
      "properties": {
        "id": {
          "type": "integer",
          "format": "int32"
        },
        "taskType": {
          "type": "integer",
          "format": "int32"
        },
        "customerId": {
          "type": "integer",
          "format": "int32"
        },
        "title": {
          "type": "string"
        },
        "description": {
          "type": "string"
        },
        "startDate": {
          "type": "string",
          "format": "date-time"
        },
        "dueDate": {
          "type": "string",
          "format": "date-time"
        },
        "visibleDate": {
          "type": "string",
          "format": "date-time"
        },
        "expireDate": {
          "type": "string",
          "format": "date-time"
        },
        "priority": {
          "type": "string"
        },
        "status": {
          "type": "string"
        },
        "requireAllToComplete": {
          "type": "boolean"
        },
        "tagsAdded": {
          "type": "array",
          "items": {
            "type": "object",
            "properties": {
              "id": {
                "type": "integer",
                "format": "int32"
              },
              "customerId": {
                "type": "integer",
                "format": "int32"
              },
              "name": {
                "type": "string"
              }
            }
          }
        },
        "tagsRemoved": {
          "type": "array",
          "items": {
            "type": "object",
            "properties": {
              "id": {
                "type": "integer",
                "format": "int32"
              },
              "customerId": {
                "type": "integer",
                "format": "int32"
              },
              "name": {
                "type": "string"
              }
            }
          }
        },
        "recipientsAdded": {
          "type": "array",
          "items": {
            "type": "object",
            "properties": {
              "name": {
                "type": "string",
                "description": "user first and last name"
              },
              "lastName": {
                "type": "string",
                "description": "user last name"
              },
              "firstName": {
                "type": "string",
                "description": "user first name"
              },
              "userPresence": {
                "type": "integer",
                "format": "int32",
                "description": "user presence Id"
              },
              "alias": {
                "type": "string",
                "description": "user alias name"
              },
              "depName": {
                "type": "string",
                "description": "department name"
              },
              "siteName": {
                "type": "string",
                "description": "site name"
              },
              "roleName": {
                "type": "string",
                "description": "role name"
              },
              "employeeId": {
                "type": "string",
                "description": "user employee Id"
              },
              "presence": {
                "type": "object",
                "description": "user presence"
              },
              "profilePhoto": {
                "type": "string",
                "description": "user profile photo url"
              },
              "groupName": {
                "type": "string",
                "description": "group name"
              },
              "id": {
                "type": "integer",
                "format": "int32",
                "description": "id"
              },
              "userId": {
                "type": "integer",
                "format": "int32",
                "description": "user Id"
              },
              "siteId": {
                "type": "integer",
                "format": "int32",
                "description": "site Id"
              },
              "groupId": {
                "type": "integer",
                "format": "int32",
                "description": "group Id"
              },
              "roleId": {
                "type": "integer",
                "format": "int32",
                "description": "role Id"
              },
              "depId": {
                "type": "integer",
                "format": "int32",
                "description": "department Id"
              }
            }
          }
        },
        "recipientsRemoved": {
          "type": "array",
          "items": {
            "type": "object",
            "properties": {
              "name": {
                "type": "string",
                "description": "user first and last name"
              },
              "lastName": {
                "type": "string",
                "description": "user last name"
              },
              "firstName": {
                "type": "string",
                "description": "user first name"
              },
              "userPresence": {
                "type": "integer",
                "format": "int32",
                "description": "user presence Id"
              },
              "alias": {
                "type": "string",
                "description": "user alias name"
              },
              "depName": {
                "type": "string",
                "description": "department name"
              },
              "siteName": {
                "type": "string",
                "description": "site name"
              },
              "roleName": {
                "type": "string",
                "description": "role name"
              },
              "employeeId": {
                "type": "string",
                "description": "user employee Id"
              },
              "presence": {
                "type": "object",
                "description": "user presence"
              },
              "profilePhoto": {
                "type": "string",
                "description": "user profile photo url"
              },
              "groupName": {
                "type": "string",
                "description": "group name"
              },
              "id": {
                "type": "integer",
                "format": "int32",
                "description": "id"
              },
              "userId": {
                "type": "integer",
                "format": "int32",
                "description": "user Id"
              },
              "siteId": {
                "type": "integer",
                "format": "int32",
                "description": "site Id"
              },
              "groupId": {
                "type": "integer",
                "format": "int32",
                "description": "group Id"
              },
              "roleId": {
                "type": "integer",
                "format": "int32",
                "description": "role Id"
              },
              "depId": {
                "type": "integer",
                "format": "int32",
                "description": "department Id"
              }
            }
          }
        },
        "attachmentsAdded": {
          "type": "array",
          "items": {
            "type": "object",
            "required": [
              "fileName",
              "fileuri"
            ],
            "properties": {
              "size": {
                "type": "integer",
                "format": "int32",
                "description": "size of file in bytes",
                "example": 921000
              },
              "duration": {
                "type": "integer",
                "format": "int32",
                "description": "duration of audio/video in milliseconds",
                "example": 120000
              },
              "mimetype": {
                "type": "string",
                "description": "mime Type of file",
                "example": "image/jpeg"
              },
              "fileuri": {
                "type": "string",
                "description": "url of file",
                "example": "https://storage.googleapis.com/testbucket/file1.jpeg"
              },
              "fileName": {
                "type": "string",
                "description": "name of file",
                "example": "file1.jpeg"
              },
              "id": {
                "type": "integer",
                "format": "int32"
              },
              "createdAt": {
                "type": "string",
                "format": "date-time"
              },
              "creatorDetails": {
                "type": "object"
              }
            }
          }
        },
        "attachmentsRemoved": {
          "type": "array",
          "items": {
            "type": "object",
            "required": [
              "fileName",
              "fileuri"
            ],
            "properties": {
              "size": {
                "type": "integer",
                "format": "int32",
                "description": "size of file in bytes",
                "example": 921000
              },
              "duration": {
                "type": "integer",
                "format": "int32",
                "description": "duration of audio/video in milliseconds",
                "example": 120000
              },
              "mimetype": {
                "type": "string",
                "description": "mime Type of file",
                "example": "image/jpeg"
              },
              "fileuri": {
                "type": "string",
                "description": "url of file",
                "example": "https://storage.googleapis.com/testbucket/file1.jpeg"
              },
              "fileName": {
                "type": "string",
                "description": "name of file",
                "example": "file1.jpeg"
              },
              "id": {
                "type": "integer",
                "format": "int32"
              },
              "createdAt": {
                "type": "string",
                "format": "date-time"
              },
              "creatorDetails": {
                "type": "object"
              }
            }
          }
        },
        "attributesAdded": {
          "type": "array",
          "items": {
            "type": "object",
            "properties": {
              "id": {
                "type": "integer",
                "format": "int32"
              },
              "value": {
                "type": "string"
              },
              "attributeId": {
                "type": "integer",
                "format": "int32"
              },
              "attribute": {
                "type": "string",
                "enum": [
                  "SCHEDULE_CRON",
                  "SCHEDULE_START_DATE",
                  "SCHEDULE_END_DATE",
                  "SCHEDULE_EVENT_ID",
                  "TIME_SENSITIVE",
                  "TIME_END",
                  "APPROVE_IN_ORDER",
                  "APPROVALS_REQUIRED",
                  "CONFIDENTIAL",
                  "ORIGINATION_TEMPLATE_TASK_ID",
                  "RESET_AFTER_EDIT",
                  "TASK_EXPIRE_DAYS"
                ]
              },
              "attributeName": {
                "type": "string"
              }
            }
          }
        },
        "attributesRemoved": {
          "type": "array",
          "items": {
            "type": "object",
            "properties": {
              "id": {
                "type": "integer",
                "format": "int32"
              },
              "value": {
                "type": "string"
              },
              "attributeId": {
                "type": "integer",
                "format": "int32"
              },
              "attribute": {
                "type": "string",
                "enum": [
                  "SCHEDULE_CRON",
                  "SCHEDULE_START_DATE",
                  "SCHEDULE_END_DATE",
                  "SCHEDULE_EVENT_ID",
                  "TIME_SENSITIVE",
                  "TIME_END",
                  "APPROVE_IN_ORDER",
                  "APPROVALS_REQUIRED",
                  "CONFIDENTIAL",
                  "ORIGINATION_TEMPLATE_TASK_ID",
                  "RESET_AFTER_EDIT",
                  "TASK_EXPIRE_DAYS"
                ]
              },
              "attributeName": {
                "type": "string"
              }
            }
          }
        },
        "attributesChanged": {
          "type": "array",
          "items": {
            "type": "object",
            "properties": {
              "id": {
                "type": "integer",
                "format": "int32"
              },
              "value": {
                "type": "string"
              },
              "attributeId": {
                "type": "integer",
                "format": "int32"
              },
              "attribute": {
                "type": "string",
                "enum": [
                  "SCHEDULE_CRON",
                  "SCHEDULE_START_DATE",
                  "SCHEDULE_END_DATE",
                  "SCHEDULE_EVENT_ID",
                  "TIME_SENSITIVE",
                  "TIME_END",
                  "APPROVE_IN_ORDER",
                  "APPROVALS_REQUIRED",
                  "CONFIDENTIAL",
                  "ORIGINATION_TEMPLATE_TASK_ID",
                  "RESET_AFTER_EDIT",
                  "TASK_EXPIRE_DAYS"
                ]
              },
              "attributeName": {
                "type": "string"
              }
            }
          }
        }
      }
    },
    "assigneeDistributionList": {
      "type": "object",
      "properties": {
        "users": {
          "type": "array",
          "description": "list of AssignmentNamesDto",
          "items": {
            "type": "object",
            "properties": {
              "id": {
                "type": "integer",
                "format": "int32",
                "description": "id"
              },
              "siteId": {
                "type": "integer",
                "format": "int32",
                "description": "site Id"
              },
              "depId": {
                "type": "integer",
                "format": "int32",
                "description": "department Id"
              },
              "roleId": {
                "type": "integer",
                "format": "int32",
                "description": "role Id"
              },
              "userId": {
                "type": "integer",
                "format": "int32",
                "description": "user Id"
              },
              "groupId": {
                "type": "integer",
                "format": "int32",
                "description": "group Id"
              },
              "siteName": {
                "type": "string",
                "description": "site name"
              },
              "depName": {
                "type": "string",
                "description": "department Id"
              },
              "roleName": {
                "type": "string",
                "description": "role Name"
              },
              "firstName": {
                "type": "string",
                "description": "user first name"
              },
              "lastName": {
                "type": "string",
                "description": "user last name"
              },
              "name": {
                "type": "string",
                "description": "user first and last name"
              },
              "alias": {
                "type": "string",
                "description": "user alias name"
              },
              "groupName": {
                "type": "string",
                "description": "group name"
              },
              "employeeId": {
                "type": "string",
                "description": "user employee Id"
              },
              "userPresence": {
                "type": "integer",
                "format": "int32",
                "description": "user presence Id"
              },
              "profilePhoto": {
                "type": "string",
                "description": "user profile photo url"
              },
              "presence": {
                "type": "object",
                "description": "user Presence"
              },
              "roles": {
                "type": "array",
                "description": "user Roles",
                "items": {
                  "type": "object"
                }
              }
            }
          }
        },
        "roles": {
          "type": "array",
          "description": "list of AssignmentNamesDto",
          "items": {
            "type": "object",
            "properties": {
              "sites": {
                "type": "array",
                "description": "list of SiteResponse",
                "items": {
                  "type": "object"
                }
              },
              "name": {
                "type": "string",
                "format": "int32",
                "description": "role name",
                "example": 1
              },
              "roleId": {
                "type": "integer",
                "format": "int32",
                "description": "role Id",
                "example": 1
              }
            }
          }
        },
        "departments": {
          "type": "array",
          "description": "list of AssignmentNamesDto",
          "items": {
            "type": "object",
            "properties": {
              "depId": {
                "type": "integer",
                "format": "int32",
                "description": "department Id",
                "example": 1
              },
              "name": {
                "type": "string",
                "format": "int32",
                "description": "department name",
                "example": 1
              },
              "roles": {
                "type": "array",
                "description": "list of SiteResponse",
                "items": {
                  "type": "object"
                }
              },
              "sites": {
                "type": "array",
                "description": "list of SiteResponse",
                "items": {
                  "type": "object"
                }
              }
            }
          }
        }
      }
    }
  }
}